menu
#4219658 Access level to jollyjg\PracticeCommands\Main::onEnable() must be public (as in class pocketmine\plugin\PluginBase)

Submitted by PocketMine-MP 3.12.2

General information

Version: 3.12.2
Git commit: 9b6b3f50
Plugin involvement: Direct
Report date: 2020-05-23 01:20:35 +0000 UTC

System Information

PHP version: 7.3.7
Operating system: linux
System banner: Linux f47aa3c76558 4.15.0-91-generic #92-Ubuntu SMP Fri Feb 28 11:09:48 UTC 2020 x86_64

Error information

Warning: a plugin was directly involved in this crash. Please contact the plugin author.
Message: Access level to jollyjg\PracticeCommands\Main::onEnable() must be public (as in class pocketmine\plugin\PluginBase)
File: plugins/PracticeCommands/src/jollyjg/PracticeCommands/Main
Line: #17
Error level: E_COMPILE_ERROR
8
9
10
11
12
13
14
15
16
17
class Main extends PluginBase{
protected function onEnable(){
$this->getLogger()->info(c::GREEN. "MyPlugin has been enabled!");
$this->getServer()->getCommandMap()->register("heal", new Heal($this));
$thid->getServer()->getCommandMap()->register("repeat", new Repeat($this));
}
protected function onDisable(){
$this->getLogger()->info(c::RED. "MyPlugin has been disabled!");
}
}

Loaded Plugins

  • Show

Server Settings

  • Show